{
"id": 1693364594105000000,
"remarkName": "Priority customer",
"nickname": "nickname",
"metaUsername": "alice_01",
"countryCode": "US",
"countryName": "<string>",
"phoneNumber": "+16315551111",
"email": "support@example.com",
"lastSeen": "2022-06-01T12:00:00.000Z",
"lastMessageToPhoneNumber": "+16315551111",
"tags": [
"<string>"
],
"createTime": "2022-06-01T12:00:00.000Z",
"customAttributes": [
{
"name": "<string>",
"value": {}
}
],
"ownerEmail": "support@example.com",
"sourceType": "API",
"sourceId": "batch_import_123",
"sourceUrl": "https://example.com/signup"
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}Contacts
Create a contact
Creates a contact.
POST
https://api.ycloud.com/v2
/
contact
/
contacts
{
"id": 1693364594105000000,
"remarkName": "Priority customer",
"nickname": "nickname",
"metaUsername": "alice_01",
"countryCode": "US",
"countryName": "<string>",
"phoneNumber": "+16315551111",
"email": "support@example.com",
"lastSeen": "2022-06-01T12:00:00.000Z",
"lastMessageToPhoneNumber": "+16315551111",
"tags": [
"<string>"
],
"createTime": "2022-06-01T12:00:00.000Z",
"customAttributes": [
{
"name": "<string>",
"value": {}
}
],
"ownerEmail": "support@example.com",
"sourceType": "API",
"sourceId": "batch_import_123",
"sourceUrl": "https://example.com/signup"
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}Body
application/json
Contains the properties of the contact to be created.
Unique Phone number in E.164 format.
Example:
"+16315551111"
Two-letter country abbreviation. See ISO 3166-1 alpha-2 country code.
Example:
"US"
Response
Successfully created a contact.
Represents a contact.
Two-letter country abbreviation. See ISO 3166-1 alpha-2 country code.
Example:
"US"
Unique Phone number in E.164 format.
Example:
"+16315551111"
The time at which the contact last sent a message to your business, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.
Example:
"2022-06-01T12:00:00.000Z"
The time at which the contact was created, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.
Example:
"2022-06-01T12:00:00.000Z"

